%define upstream_name    Data-Hierarchy
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module to handle data in a hierarchical structure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(Clone)
BuildRequires:  perl(Test::Exception)
BuildArch:      noarch


%description
Data::Hierarchy provides a simple interface for manipulating 
inheritable data attached to a hierarchical environment (like filesystem).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES README 
%{perl_vendorlib}/Data
%{_mandir}/man3/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.340.0-10.mga9
+ Revision: 1802786
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-9.mga8
+ Revision: 1493649
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.340.0-8.mga7
+ Revision: 1266854
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-7.mga6
+ Revision: 1024808
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.340.0-6.mga6
+ Revision: 933596
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 741043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 684205
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 510575
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 365353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 23833
- cleaning spec file
- imported package perl-Data-Hierarchy


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.0
+ Revision: 406971
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.34-4mdv2009.0
+ Revision: 256443
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.34-2mdv2008.1
+ Revision: 135831
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 0.34-2mdv2008.0
+ Revision: 64804
- rebuild


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.34-1mdv2007.0
+ Revision: 93928
- 0.34

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.30-2mdv2007.1
+ Revision: 73149
- import perl-Data-Hierarchy-0.30-2mdv2007.1

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.0
- New version 0.30

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2007.0
- New release 0.22
- spec cleanup
- better source URM
- %%{1}mdv2007.1
- drop manifest from doc
- don't ship empty directories

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.21-2mdk
- rebuild for new perl

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.21-1mdk
- New release 0.21

* Mon Sep 27 2004 Michael Scherer <misc@mandrake.org> 0.20-1mdk
- New release 0.20

* Wed Sep 22 2004 Michael Scherer <misc@mandrake.org> 0.19-1mdk
- New release 0.19

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.18-1mdk
- 0.18
- cosmetics

* Sat Apr 03 2004 Michael Scherer <misc@mandrake.org> 0.17-1mdk
- 0.17

* Sat Apr 03 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk 
- First MandrakeSoft Package

